{ config, inputs, lib, pkgs, ... }:

let
  inherit (lib) filterAttrs _;
in {
  imports =
    [ inputs.home-manager.nixosModules.home-manager ]
    ++ _.mapModulesRec' ./modules import;

  environment.systemPackages = with pkgs; [
    curl git
  ];

  i18n.defaultLocale = "en_US.UTF-8";

  nix.settings.experimental-features = [ "nix-command" "flakes" ];
  
  system.stateVersion = lib.mkDefault "23.11";
}
